[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# NToHl

Convert long integer from network ordered to host ordered

## Declaration

Source position: socketsh.inc line 187

`function NToHl(`
`Net: Cardinal`
`):Cardinal; overload;`

## Description

ntohs makes sure that the bytes in Net, received from the network, are ordered in the correct way for handling by the host machine, and returns the correctly ordered result.

## See also

htonl |  | Convert long integer from host ordered to network ordered
htons |  | Convert short integer from host ordered to network ordered
ntohs |  | Convert short integer from network ordered to host ordered